package youngeetalentapi

import (
	"youngmini_server/app/service/youngee_talent_service"

	"github.com/gogf/gf/net/ghttp"
)

var TalentPostApi = talentPostApi{}

type talentPostApi struct {
}

// Login 达人端登录
func (*talentPostApi) Login(r *ghttp.Request) {
	// 向微信服务端校验登录凭证
	res := youngee_talent_service.WxLogin(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

// GetQrcode 获取微信分享二维码
func (*talentPostApi) GetQrcode(r *ghttp.Request) {
	res := youngee_talent_service.RequestShareInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}
